var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import chalk from 'chalk';
import { parseConfig } from '../config/parseConfig.js';
import { buildDocs } from './buildDoc.js';
import { buildLib } from './buildLib.js';
export function build({ lib, doc }) {
    return __awaiter(this, void 0, void 0, function* () {
        const config = yield parseConfig();
        if (lib) {
            yield buildLib(config);
        }
        if (doc && !config.doc.disabled) {
            yield buildDocs(config);
        }
        else {
            if (!doc) {
                console.log(chalk.dim('[rive]'), 'Document building was skipped because you specified --no-doc option.');
            }
            if (config.doc.disabled) {
                console.log(chalk.dim('[rive]'), 'Document building was skipped because you set rive.doc.disabled option in package.json.');
            }
        }
    });
}
