var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import chalk from 'chalk';
import { readFile } from 'fs/promises';
import JSON5 from 'json5';
import { join } from 'path';
import { TemplateType } from '../types/TemplateType.js';
export function parseConfig() {
    var _a, _b, _c, _d, _e;
    return __awaiter(this, void 0, void 0, function* () {
        let packageJson = {};
        try {
            packageJson = JSON.parse(yield readFile(join(process.cwd(), 'package.json'), 'utf-8'));
        }
        catch (e) {
            console.log(chalk.cyan('[rive]'), 'Cannot read package.json. Please run "npm create rive" to initialize.');
            throw e;
        }
        // tsconfig.json support comments, so we have to use JSON5 parser
        let tsconfigJson = {};
        try {
            tsconfigJson = JSON5.parse(yield readFile(join(process.cwd(), 'tsconfig.json'), 'utf-8'));
        }
        catch (e) {
            console.log(chalk.cyan('[rive]'), 'Cannot read tsconfig.json. Please run "npm create rive" to initialize.');
            throw e;
        }
        const template = ((_a = packageJson.rive) === null || _a === void 0 ? void 0 : _a.template) || TemplateType.React;
        const doc = ((_b = packageJson.rive) === null || _b === void 0 ? void 0 : _b.doc) || {};
        doc.basename = doc.basename
            ? join('/', ((_d = (_c = packageJson.rive) === null || _c === void 0 ? void 0 : _c.doc) === null || _d === void 0 ? void 0 : _d.basename) || '.')
            : '/';
        const lib = ((_e = packageJson.rive) === null || _e === void 0 ? void 0 : _e.lib) || {};
        if (!doc.title) {
            doc.title = packageJson.name + ' - ' + packageJson.description;
        }
        const config = {
            template,
            doc,
            lib,
            packageJson,
            tsconfigJson,
        };
        return config;
    });
}
