var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { ESLint } from 'eslint';
export function doESLint(config, fix, stagedFiles) {
    return __awaiter(this, void 0, void 0, function* () {
        // 加载配置
        const eslint = new ESLint({
            fix,
            baseConfig: config.packageJson.eslintConfig,
        });
        // 检查文件
        const results = yield eslint.lintFiles(stagedFiles || 'src/**/*.{js,jsx,ts,tsx}');
        // 修复代码并保存
        if (fix) {
            yield ESLint.outputFixes(results);
        }
        // 格式化结果
        const formatter = yield eslint.loadFormatter('stylish');
        const resultText = yield formatter.format(results);
        // 输出结果
        // eslint-disable-next-line no-console
        console.log(resultText);
        return !ESLint.getErrorResults(results).length;
    });
}
