var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import glob from 'fast-glob';
import fse from 'fs-extra';
import prettier from 'prettier';
export function doPrettier(stagedFiles) {
    return __awaiter(this, void 0, void 0, function* () {
        const files = stagedFiles ||
            (yield glob('**/*.{js,jsx,json,md,ts,tsx,yml,yaml}', {
                ignore: ['node_modules/**/*', 'build/**/*', 'dist/**/*', '.*/**/*'],
            }));
        yield Promise.all(files.map(formatFile));
    });
}
function formatFile(filepath) {
    return __awaiter(this, void 0, void 0, function* () {
        const text = yield fse.readFile(filepath, 'utf8');
        const options = yield prettier.resolveConfig(filepath, {
            editorconfig: true,
        });
        const formatted = yield prettier.format(text, Object.assign(Object.assign({}, options), { filepath }));
        if (formatted !== text) {
            yield fse.writeFile(filepath, formatted, 'utf8');
            // eslint-disable-next-line no-console
            console.log(`format ${filepath} 完成`);
        }
    });
}
