var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { createServer } from 'vite';
import { setupDoc } from '../build/setupDoc.js';
import getDocConfig from '../config/getDocConfig.js';
import { parseConfig } from '../config/parseConfig.js';
export function start() {
    return __awaiter(this, void 0, void 0, function* () {
        const config = yield parseConfig();
        yield setupDoc(config, true);
        const server = yield createServer(yield getDocConfig(config));
        yield server.listen();
        server.printUrls();
    });
}
