var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import glob from 'fast-glob';
import { createVitest } from 'vitest/node';
export function test({ watch = false, ui = false }) {
    return __awaiter(this, void 0, void 0, function* () {
        const setupFiles = yield glob([
            'setupTests.ts',
            '{src,test,tests}/setupTests.ts',
        ]);
        const vitest = yield createVitest('test', {
            watch: watch || ui,
            ui,
            passWithNoTests: true,
            globals: true,
            environment: 'happy-dom',
            setupFiles,
            include: ['{src,test,tests}/**/*.{spec,test}.{js,jsx,ts,tsx}'],
        });
        yield vitest.start();
        if (!watch && !ui) {
            yield vitest.close();
        }
    });
}
